Skip to main content
GET
/
produtos
/
{produtoId}
Obtém detalhes completos de um produto
curl --request GET \
  --url https://akeba.com.br/api/v1/produtos/{produtoId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://akeba.com.br/api/v1/produtos/{produtoId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://akeba.com.br/api/v1/produtos/{produtoId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "nome": "<string>",
    "slug": "<string>",
    "preco": 123,
    "preco_promocional": 123,
    "status": "<string>",
    "estoque_global": "<string>",
    "has_variations": "<string>",
    "tags": "<string>",
    "descricao": "<string>",
    "delivery_type": "<string>",
    "track_stock": "<string>",
    "plano": "<string>",
    "peso": 123,
    "altura": 123,
    "largura": 123,
    "comprimento": 123,
    "video_url": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>",
    "capa": {
      "url": "<string>",
      "url_medium": "<string>",
      "url_thumb": "<string>"
    },
    "imagens": "<string>",
    "categoria": {
      "id": "<string>",
      "nome": "<string>",
      "slug": "<string>",
      "categoria_pai": {
        "id": "<string>",
        "nome": "<string>",
        "slug": "<string>"
      }
    },
    "estoques": [
      {
        "id": "<string>",
        "product_id": "<string>",
        "sku": "<string>",
        "variation_options": "<string>",
        "quantidade": "<string>",
        "is_active": "<string>",
        "updated_at": "<string>",
        "produto": {
          "id": "<string>",
          "nome": "<string>"
        }
      }
    ]
  }
}
{
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Token de API gerado em /vendedor/integracoes.

Path Parameters

produtoId
string
required

Response

ProdutoResource

data
ProdutoResource · object
required